Subject: Re: bug#15863: Segmentation fault when traversing long lines

From: Aaron France <[email-masked]>
Date: Mon, 11 Nov 2013 21:46:05 +0100

On 11/11/13 21:33, Eli Zaretskii wrote:
>> Date: Mon, 11 Nov 2013 21:04:28 +0100
>> From: Aaron France <[email-masked]>
>>
>> I seem to consistently be able to make emacs segfault in both the slime
>> repl and the rgrep results window. Whenever the line is unusually long
>> (how long? About 2-300 chars long?) and then go to the end of the line,
>> it segfaults.
> If this is consistent, can you provide a reproducible test case,
> starting with "emacs -Q"?

"emacs" -Q does not reproduce the build.
>> I've got the gdb backtrace, which is in this link:
>> https://gist.github.com/AeroNotix/368ada4c84e7a52f461d
> Thanks, but it's hard to do anything with just this backtrace.  Can
> you at least see what was the immediate reason for the crash?  E.g.,
> is 'glyph' a NULL pointer?
>
> Also, how come you get truncation glyphs on a GUI frame? did you
> disable the fringes or something?
>
> Thanks.
I'll dig some more